org.fourthline.cling.binding.xml

## Enum Descriptor.Service.ELEMENT

- java.lang.Object
- - java.lang.Enum<Descriptor.Service.ELEMENT>
  - - org.fourthline.cling.binding.xml.Descriptor.Service.ELEMENT

- All Implemented Interfaces:
    Serializable, Comparable<Descriptor.Service.ELEMENT>
  Enclosing interface:
    Descriptor.Service

      public static enum Descriptor.Service.ELEMENT
      extends Enum<Descriptor.Service.ELEMENT>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `action`
    `actionList`
    `allowedValue`
    `allowedValueList`
    `allowedValueRange`
    `argument`
    `argumentList`
    `dataType`
    `defaultValue`
    `direction`
    `major`
    `maximum`
    `minimum`
    `minor`
    `name`
    `relatedStateVariable`
    `retval`
    `scpd`
    `serviceStateTable`
    `specVersion`
    `stateVariable`
    `step`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Node node)`
    `static Descriptor.Service.ELEMENT` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Descriptor.Service.ELEMENT` | `valueOrNullOf(String s)`
    `static Descriptor.Service.ELEMENT[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### scpd

          public static final Descriptor.Service.ELEMENT scpd

    - #### specVersion

          public static final Descriptor.Service.ELEMENT specVersion

    - #### major

          public static final Descriptor.Service.ELEMENT major

    - #### minor

          public static final Descriptor.Service.ELEMENT minor

    - #### actionList

          public static final Descriptor.Service.ELEMENT actionList

    - #### action

          public static final Descriptor.Service.ELEMENT action

    - #### name

          public static final Descriptor.Service.ELEMENT name

    - #### argumentList

          public static final Descriptor.Service.ELEMENT argumentList

    - #### argument

          public static final Descriptor.Service.ELEMENT argument

    - #### direction

          public static final Descriptor.Service.ELEMENT direction

    - #### relatedStateVariable

          public static final Descriptor.Service.ELEMENT relatedStateVariable

    - #### retval

          public static final Descriptor.Service.ELEMENT retval

    - #### serviceStateTable

          public static final Descriptor.Service.ELEMENT serviceStateTable

    - #### stateVariable

          public static final Descriptor.Service.ELEMENT stateVariable

    - #### dataType

          public static final Descriptor.Service.ELEMENT dataType

    - #### defaultValue

          public static final Descriptor.Service.ELEMENT defaultValue

    - #### allowedValueList

          public static final Descriptor.Service.ELEMENT allowedValueList

    - #### allowedValue

          public static final Descriptor.Service.ELEMENT allowedValue

    - #### allowedValueRange

          public static final Descriptor.Service.ELEMENT allowedValueRange

    - #### minimum

          public static final Descriptor.Service.ELEMENT minimum

    - #### maximum

          public static final Descriptor.Service.ELEMENT maximum

    - #### step

          public static final Descriptor.Service.ELEMENT step

  - ### Method Detail

    - #### values

          public static Descriptor.Service.ELEMENT[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Descriptor.Service.ELEMENT c : Descriptor.Service.ELEMENT.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Descriptor.Service.ELEMENT valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOrNullOf

          public static Descriptor.Service.ELEMENT valueOrNullOf(String s)

    - #### equals

          public boolean equals(Node node)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.